Subject: RE: Bug Report: CVS often fails in scripts under Cygwin
From: Josh Schulte <[email-masked]>
To: "'Charles S. Wilson'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 21 Sep 2000 15:31:36 -0700

Chuck,

Are you on win2k or nt 4?

Thanks,
Josh

-----Original Message-----
From: Charles S. Wilson [mailto:[email-masked]]
Sent: Thursday, September 21, 2000 12:29 PM
To: Josh Schulte
Cc: [email-masked]'
Subject: Re: Bug Report: CVS often fails in scripts under Cygwin

Josh Schulte wrote:
> 
> Chuck,
> 
> Have you written any scripts using cvs? Can you verify this on your setup?
> It may take a couple of different approaches because not every cvs command
> will give the
> "permission denied". Some scripts work just fine.

No, I only use cvs manually.  Also, since I only use it for "personal"
projects on my own machine -- not shared projects -- I don't use
'reserved checkouts' (e.g. cvs watch, cvs edit, cvs unedit, etc).

> Another guy here at work gets the same results. So if you or someone else
is
> not getting this problem, then it is probably something we have setup in
our
> environment.

Okay, I set up a test repository 'foo' with one file.  Seems to work
fine here.

mkdir foo
cd foo
touch build.txt
cvs import -m "test module" foo foo_1 foo_1_00
cd ..
cvs watch on
rm -rf foo
cvs checkout foo
cd foo

---- Okay, so module foo has one empty file called "build.txt". Now,
create the following script (use /bin/sh -x so we can trace execution)

--- 'test' ----
#!/bin/sh -x
cvs edit build.txt
echo "test" $1 > build.txt
cvs commit -m "test" build.txt
cvs unedit build.txt
--- 'test' ----

chmod +x test
./test 1

---output is----
+ cvs edit build.txt
+ echo test 1
+ cvs commit -m test build.txt
Checking in build.txt;
/e/Users/cwilson/.cvsroot/foo/build.txt,v  <--  build.txt
new revision: 1.3; previous revision: 1.2
done
+ cvs unedit build.txt
----end----

Notes: running under WinNT, repository and checkout dir are both on NTFS
drives.  Looks like your problem is somehow related to your setup. :-(

--Chuck

--
Want to unsubscribe from this list?
Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]